Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::StockButton Class Reference

A stock GtkButton C++ wrapper class. More...

`#include <inti/gtk/button.h>`

Inheritance diagram for Inti::Gtk::StockButton:

List of all members.

## Public Member Functions

Constructors

- StockButton (const char *stock_id)
    Constructs a new Button containing the image and text from a stock item.

## Detailed Description

A stock GtkButton C++ wrapper class.

The StockButton widget is a button that displays the image and text from a stock item.

## Constructor & Destructor Documentation

Inti::Gtk::StockButton::StockButton | ( | const char * | stock_id | ) | `[explicit]`

  | Constructs a new Button containing the image and text from a stock item. Parameters:
  stock_id | The name of the stock item.
Some stock ids have preprocessor macros like GTK_STOCK_OK and GTK_STOCK_APPLY. If stock_id is unknown, then it will be treated as a mnemonic label.

The documentation for this class was generated from the following file:

- button.h

Main Page - Footer